org.apache.tomcat.websocket

## Interface AsyncChannelWrapper

- All Known Implementing Classes:
    AsyncChannelWrapperNonSecure, AsyncChannelWrapperSecure

      public interface AsyncChannelWrapper

  This is a wrapper for a `AsynchronousSocketChannel` that limits the methods available thereby simplifying the process of implementing SSL/TLS support since there are fewer methods to intercept.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.util.concurrent.Future<java.lang.Void>` | `handshake()`
    `java.util.concurrent.Future<java.lang.Integer>` | `read(java.nio.ByteBuffer dst)`
    `<B,A extends B> void` | `read(java.nio.ByteBuffer dst, A attachment, java.nio.channels.CompletionHandler<java.lang.Integer,B> handler)`
    `java.util.concurrent.Future<java.lang.Integer>` | `write(java.nio.ByteBuffer src)`
    `<B,A extends B> void` | `write(java.nio.ByteBuffer[] srcs, int offset, int length, long timeout, java.util.concurrent.TimeUnit unit, A attachment, java.nio.channels.CompletionHandler<java.lang.Long,B> handler)`

- - ### Method Detail

    - #### read

          java.util.concurrent.Future<java.lang.Integer> read(java.nio.ByteBuffer dst)

    - #### read

          <B,A extends B> void read(java.nio.ByteBuffer dst,
                                  A attachment,
                                  java.nio.channels.CompletionHandler<java.lang.Integer,B> handler)

    - #### write

          java.util.concurrent.Future<java.lang.Integer> write(java.nio.ByteBuffer src)

    - #### write

          <B,A extends B> void write(java.nio.ByteBuffer[] srcs,
                                   int offset,
                                   int length,
                                   long timeout,
                                   java.util.concurrent.TimeUnit unit,
                                   A attachment,
                                   java.nio.channels.CompletionHandler<java.lang.Long,B> handler)

    - #### close

          void close()

    - #### handshake

          java.util.concurrent.Future<java.lang.Void> handshake()
                                                                throws javax.net.ssl.SSLException

      Throws:
        `javax.net.ssl.SSLException`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.